﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGrid;

namespace SpecialSummary
{
    public class CustomSummary : ICustomSummaryCalculator
    {
        public void AggregateCustomSummary(SummarySettings summarySettings, UltraGridRow row)
        {
            // do not process anything
        }

        public void BeginCustomSummary(SummarySettings summarySettings, RowsCollection rows)
        {
            // nothing to initialize
        }

        public object EndCustomSummary(SummarySettings summarySettings, RowsCollection rows)
        {
            // get the value you want to display
            
            if (rows == null || rows.ParentRow == null)
            {
                return null;
            }

            // get the group by row (by any means)
            UltraGridGroupByRow groupByRow = rows.ParentRow as UltraGridGroupByRow;
            if (groupByRow == null)
            {
                return null;
            }

            string groupByValue = groupByRow.ValueAsDisplayText;

            // based upon the group by value go get the value you want to show
            if (groupByValue == "MNO")
            {
                return 500;
            }
            else if (groupByValue == "XYZ")
            {
                return 123;
            }

            return null;
        }
    }
}
