﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SpecialSummary
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_ExternalSummaryValueRequested(object sender, Infragistics.Win.UltraWinGrid.ExternalSummaryValueEventArgs e)
        {
            if (e.SummaryValue.SummarySettings.SourceColumn.Key == "External Col")
            {
                Infragistics.Win.UltraWinGrid.RowsCollection rows = e.SummaryValue.ParentRows;

                if (rows == null || rows.ParentRow == null)
                {
                    return;
                }

                // get the group by row (by any means)
                string groupByValue = ((Infragistics.Win.UltraWinGrid.UltraGridGroupByRow)(rows.ParentRow)).ValueAsDisplayText;

                // based upon the group by value go get the value you want to show
                if (groupByValue == "MNO")
                {
                    e.SummaryValue.SetExternalSummaryValue(500);
                }
                else if (groupByValue == "XYZ")
                {
                    e.SummaryValue.SetExternalSummaryValue(123);
                }
            }
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            // add a custom summary
            Infragistics.Win.UltraWinGrid.SummarySettings summarySettings = e.Layout.Bands[0].Summaries.Add(
                "CustomSummary",
                Infragistics.Win.UltraWinGrid.SummaryType.Custom,
                new CustomSummary(),
                e.Layout.Bands[0].Columns["Custom Col"],
                Infragistics.Win.UltraWinGrid.SummaryPosition.UseSummaryPositionColumn,
                e.Layout.Bands[0].Columns["Custom Col"]);

            summarySettings.DisplayFormat = "{0}";
            
        }

    }
}
